Pixal3d
集成
模型 id
pixal3d
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/pixal3d?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/pixal3d?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/pixal3d", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/zh/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "pixal3d",
"input": {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
}
通过 Doitong API 调用 Pixal3d 模型(pixal3d)。智能体文档:https://doitong.com/zh/developers/models/pixal3d.md
POST https://api.doitong.ru/v1/run/pixal3d?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
如果响应状态为 "queued" 或 "running",请轮询 GET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20,直到状态变为 "succeeded";文件位于 outputs[].url。使用相同请求体 POST https://api.doitong.ru/v1/quote/pixal3d,可在运行前返回确切价格。
此请求: $0.30 300 API 积分 · ≈ ₽31.64 在此页面运行
你的新 API 密钥。 它仅在此时显示,并且已填入下方的代码和 API 密钥字段中。请妥善保密:切勿将其放入在浏览器中运行的代码。
构建请求
控件根据模型架构生成。更改控件时,代码和价格会同步更新。
POST
/run/pixal3d?wait=20
报价 → $0.30
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/pixal3d?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/pixal3d?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/pixal3d", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "pixal3d",
"input": {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
},
"wait_seconds": 20
}
}
}
关于 Pixal3d
接收一张图像并返回 GLB 模型及使用的种子。结构、形状和纹理阶段分别拥有独立的引导、重缩放、步数和噪声计划设置。输出 `resolution` 为 1024 或 1536,`texture_size` 为 1024、2048 或 4096,`decimation_target` 将顶点数量设为 5000 到 1586021。`remesh` 会重建拓扑。
参数
发送规范名称或原生名称之一,不要同时发送两者。 规范名称
名称类型
默认值允许值
描述
image_url必填
image
类型url · image
指向用于 3D 转换的源图像的 URL。
seed可选
类型integer | null
用于可复现随机生成的种子。
resolution可选
类型enum
默认值1024
10241536
输出分辨率;提高分辨率会增加细节,但耗时更长。
ss_guidance_strength可选
类型number
默认值7.5
0 – 10
初始 3D 结构保真度控制:提高该值可更贴近输入图像,但可能增加噪声。
ss_guidance_rescale可选
类型number
默认值0.7
0 – 1
第 1 阶段的引导伪影控制:较低设置会产生更强的引导效果,较高设置会带来更稳定的输出。
ss_sampling_steps可选
类型integer
默认值12
1 – 50
初始结构去噪步数:增加步数可能提升质量,但会降低处理速度。
ss_rescale_t可选
类型number
默认值5
1 – 6
通过结构生成噪声调度设置过渡锐度:提高该值会使过渡更锐利。
shape_slat_guidance_strength可选
类型number
默认值7.5
0 – 10
详细几何保真度控制:提高对输入图像的遵循程度会增加细节,但也可能增加噪声。
shape_slat_guidance_rescale可选
类型number
默认值0.5
0 – 1
当几何结构出现噪声时提高此设置:它会减少形状阶段强引导造成的伪影。
shape_slat_sampling_steps可选
类型integer
默认值12
1 – 50
形状细化去噪步数:增加步数可能使几何结构更平滑,但会牺牲速度。
shape_slat_rescale_t可选
类型number
默认值3
1 – 6
通过形状细化噪声调度设置几何细节锐度;提高该值会产生更锐利的细节。
tex_slat_guidance_strength可选
类型number
默认值1
0 – 10
纹理颜色保真度控制:较高设置会更贴近输入图像的颜色并提高鲜艳度,但可能导致过度饱和。
tex_slat_guidance_rescale可选
类型number
默认值0
0 – 1
提高此设置以处理噪声纹理或色带:它会减少纹理阶段强引导造成的伪影。
tex_slat_sampling_steps可选
类型integer
默认值12
1 – 50
用于生成纹理的去噪步数。增加步数会延长处理时间,但可能产生更干净的纹理。
tex_slat_rescale_t可选
类型number
默认值3
1 – 6
通过纹理生成噪声调度设置纹理细节锐度;提高该值会产生更锐利的细节。
mesh_scale可选
类型number
默认值1
0.1 – 4
缩放推断出的网格,以影响模型使用的相机距离估计。
max_num_tokens可选
类型integer
默认值49152
4,096 – 131,072
级联形状采样器的 HR token 上限:较高设置可获得更精细的几何结构,较低设置可节省内存和处理时间。
decimation_target可选
类型integer
默认值200000
5,000 – 1,586,021
网格复杂度目标,以最终结果的顶点数表示。降低此目标可减小文件大小,但也会牺牲细节。
texture_size可选
类型enum
默认值2048
102420484096
用于烘焙的网格纹理分辨率。提高分辨率可获得更精细的表面细节,但会生成更大的文件。
remesh可选
类型boolean
默认值true
重建网格拓扑,通常通过创建更规整的三角形来改善后续使用,但会延长处理时间。
enable_safety_checker可选
类型boolean
默认值true
调用方获得授权后,可将其设置为 false 以放宽审核。
必填
规范名称,也可接受
文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件
输出
GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "pixal3d",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 300,
"usd": "0.30",
"charged": 300,
"refunded": 0
},
"input": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
},
"output": {
"model_glb": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"seed": 42
},
"outputs": [
{
"type": "file",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
- model_glb
- object {url, content_type, file_name, file_size}以 GLB 格式生成的 3D 模型。
- seed
- integer实际使用的种子值。
更多模型:图像转 3D
对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/pixal3d.md. 所有模型和指南: https://doitong.com/developers/llms.txt